Vagrant.configure("2") do |config|
  
  config.vm.define "containerd", primary: true do |containerd|

    containerd.vm.box = "ubuntu/jammy64"
    containerd.vm.box_url = "https://app.vagrantup.com/ubuntu/boxes/jammy64"
    
    containerd.vm.boot_timeout = 600
    
    containerd.vm.network "private_network", ip: "10.10.0.10"
    containerd.vm.network "public_network", use_dhcp_assigned_default_route: true
    containerd.vm.network "forwarded_port", guest: 80, host: 1080
    containerd.vm.network "forwarded_port", guest: 443, host: 1443

    containerd.vbguest.auto_update = false

    containerd.vm.synced_folder "C:/Users/tdesa/Repositories", "/home/vagrant/Repositories" 

    containerd.vm.provision :ansible_local do |ansible|

      ansible.install_mode = "pip"
      ansible.playbook = "ansible/containerd.yml"

    end

    containerd.vm.provider "virtualbox" do |vbox|

      vbox.memory = 4096
      vbox.cpus = 4
      vbox.default_nic_type = "virtio"
      vbox.check_guest_additions = false
      vbox.customize ["modifyvm", :id, "--graphicscontroller", "vmsvga"]
      vbox.customize ["modifyvm", :id, "--vram", "128"]

    end

    containerd.vm.provision :reload

  end

end
